
Foreman - Refactor #3962

Operating system children overwrites class method

01/07/2014 01:54 PM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Rails   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I think overwriting #class method is wrong (maybe except proxy objects). It's hard to debug problems and it causes unexpected

problems. I propose to use #becomes instead.

Related issues:

Related to Foreman - Bug #345: unable to save associated operatingsystems Closed 07/08/2010

Has duplicate Foreman - Bug #3819: Add proper STI to Operatingsystem subtypes Duplicate 12/05/2013

Associated revisions

Revision 95a66717 - 01/09/2014 09:48 AM - Marek Hulán

Fixes #3962 - Refactor class overwriting

Revision 07c98cde - 01/12/2014 08:57 PM - Marek Hulán

Fixes wrong os family caused by 'becomes' refs #3962

History

#1 - 01/07/2014 02:07 PM - Marek Hulán

- Has duplicate Bug #3819: Add proper STI to Operatingsystem subtypes added

#2 - 01/07/2014 02:08 PM - Marek Hulán

- Status changed from Assigned to Ready For Testing

#3 - 01/07/2014 02:08 PM - Marek Hulán

- Related to Bug #345: unable to save associated operatingsystems added

#4 - 01/09/2014 10:33 PM - Dominic Cleal

- Category set to Rails

- Target version set to 1.9.2

- translation missing: en.field_release set to 2

#5 - 01/09/2014 10:43 PM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 95a6671736932fa254d77bed9588848889840a48.
